package xyz.johnny.norntalk.database.converters

import android.arch.persistence.room.TypeConverter
import java.util.*

/**
 * Convertir les date en entier long avant de les mettre dans la base de données,
 * puis convertir de nouveau en une instance de [Date] en sortie de la base de données.
 */
class DateConverters {

    /**
     * Converti un entier long en date, utilisé en sortie de base de données
     *
     * @param value nombre de millisecondes depuis l'Epoch
     * @return date correspondante
     */
    @TypeConverter
    fun fromTimestamp(value: Long): Date {
        return Date(value)
    }

    /**
     * Converti une date en un entier long pour être inséré dans la base de données
     *
     * @param date date
     * @return nombre de millisecondes depuis l'Epoch
     */
    @TypeConverter
    fun toTimestamp(date: Date): Long {
        return date.time
    }

}