package xyz.johnny.norntalk.database.entities

import android.arch.persistence.room.ColumnInfo
import android.arch.persistence.room.Entity
import android.arch.persistence.room.PrimaryKey

/**
 * Représente un contact
 *
 * @property number Numéro de téléphone du contact
 * @property pubkey Clé publique du contact
 */
@Entity
data class Contact(@PrimaryKey
                   var number: String,
                   @ColumnInfo(typeAffinity = ColumnInfo.BLOB)
                   var pubkey: ByteArray?)