package xyz.johnny.norntalk.database.entities

import android.arch.persistence.room.Entity
import android.arch.persistence.room.PrimaryKey

/**
 * Représente une conversation
 *
 * @property notification Si Vrai, les nouveaux messages envoient une notifications,
 *                        sinon aucune notification n'est envoyée
 * @property secured Vrai si la conversation est sécurisée, Faux sinon
 */
@Entity
data class Conversation(var notification: Boolean,
                        var secured: Boolean) {

    /**
     * Identifiant de la conversation
     */
    @PrimaryKey(autoGenerate = true)
    var id: Int = 0

}