package xyz.johnny.norntalk.database.entities

import android.arch.persistence.room.ColumnInfo
import android.arch.persistence.room.Entity
import android.arch.persistence.room.ForeignKey

/**
 * Représente un membre d'une conversation
 *
 * @property conversationId Identifiant de la conversation
 * @property contactNumber Numéro de téléphone du membre
 */
@Entity(primaryKeys = arrayOf("conversationId", "contactNumber"),
        foreignKeys = arrayOf(ForeignKey(entity= Conversation::class,
                                         parentColumns = arrayOf("id"),
                                         childColumns = arrayOf("conversationId"),
                                         onDelete = ForeignKey.CASCADE),
                              ForeignKey(entity= Contact::class,
                                         parentColumns = arrayOf("number"),
                                         childColumns = arrayOf("contactNumber"),
                                         onDelete = ForeignKey.CASCADE)))
data class Member(@ColumnInfo(index=true)
                  var conversationId: Int,
                  @ColumnInfo(index=true)
                  var contactNumber: String)