package xyz.johnny.norntalk.messages

import android.app.Activity
import android.content.BroadcastReceiver
import android.content.Context
import android.content.Intent
import android.util.Log
import xyz.johnny.norntalk.R

/**
 * Permet de notifier de la reception d'un message
 */
class NornDeliveredReceiver : BroadcastReceiver() {

    override fun onReceive(context: Context, intent: Intent) {
        val delivered = resultCode == Activity.RESULT_OK
        Log.d(this::class.java.simpleName, "result code: " + resultCode.toString())

        val toast = NornNotification.getToast(context)
        if (delivered)
            toast.setText(R.string.message_delivered)
        else
            toast.setText(R.string.message_undelivered)
        toast.show()
    }

}