package xyz.johnny.norntalk.messages

import android.content.BroadcastReceiver
import android.content.Context
import android.content.Intent
import android.os.Build
import android.util.Log

/**
 * Actions effectuées lorsque l'utilisateur change la langue du système.
 * Change le nom et la description de la chaîne de notification sur Android O.
 */
class NornLocaleChangedReceiver : BroadcastReceiver() {

    override fun onReceive(context: Context, intent: Intent) {
        Log.d(this::class.java.simpleName, "Locale changed")
        if (intent.action == Intent.ACTION_LOCALE_CHANGED) {
            if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.O)
                NornNotification.updateChannel(context)
        }
    }

}