package xyz.johnny.norntalk.security

import com.journeyapps.barcodescanner.BarcodeEncoder
import org.whispersystems.curve25519.Curve25519
import java.security.SecureRandom


/**
 * Objet contenant des singletons de classes liées à la sécurité des données
 * dont l'instanciation est longue
 */
object Security {

    /**
     * Générateur de nombres aléatoires
     */
    val random: SecureRandom by lazy { SecureRandom() }
    /**
     * Curve25519
     */
    val curve: Curve25519 by lazy { Curve25519.getInstance(Curve25519.BEST) }
    /**
     * Encodeur de QR codes
     */
    val barcodeEncoder by lazy { BarcodeEncoder() }

}