package xyz.johnny.norntalk.ui_components

/**
 * Activité qui seront supprimées du Backstack lorsqu'une conversation est ouverte
 */
abstract class DismissableActivity : BaseActivity() {

    companion object {

        private val dismissables = ArrayList<DismissableActivity>()

        fun dismiss() {
            for (d in dismissables)
                d.finish()
        }

    }

    override fun onStop() {
        super.onStop()
        dismissables.add(this)
    }

    override fun onResume() {
        super.onResume()
        dismissables.remove(this)
    }

}