package xyz.johnny.norntalk.ui_components

import android.content.Context
import android.util.AttributeSet
import android.widget.RelativeLayout
import com.cpiz.android.bubbleview.BubbleStyle
import com.cpiz.android.bubbleview.BubbleTextView
import xyz.johnny.norntalk.messages.NornMessage

/**
 * Vue permettant d'afficher une bulle de message
 */
class MessageView : BubbleTextView {

    constructor(context: Context) : super(context)
    constructor(context: Context, attrs: AttributeSet) : super(context, attrs)
    constructor(context: Context, attrs: AttributeSet, defStyle: Int) : super(context, attrs, defStyle)

    private var _message: NornMessage? = null
    /**
     * Message à afficher
     */
    val message get() = _message!!

    /**
     * Afficher un nouveau message
     *
     * @param msg Message à afficher
     */
    fun setMessage(msg: NornMessage) {
        // changer le message affiché
        this._message = msg
        this.text = msg.text

        // changer l'affichage du message en fonction de l'expéditeur
        val params = this.layoutParams as RelativeLayout.LayoutParams
        if (this.message.sender == null) {
            // pointer la bulle vers la droite
            this.arrowDirection = BubbleStyle.ArrowDirection.Right
            // aligner la bulle à droite
            params.removeRule(RelativeLayout.ALIGN_PARENT_LEFT)
            params.addRule(RelativeLayout.ALIGN_PARENT_RIGHT)
        } else {
            // pointer la bulle vers la gauche
            this.arrowDirection = BubbleStyle.ArrowDirection.Left
            // aligner la bulle à gauche
            params.removeRule(RelativeLayout.ALIGN_PARENT_RIGHT)
            params.addRule(RelativeLayout.ALIGN_PARENT_LEFT)
        }
        this.layoutParams = params
    }
}